Problema scheda broadcom

5 risposte [Ultimo messaggio]
Ritratto di cater
cater
(Junior)
Offline
Junior
Iscritto: 06/08/2009
Messaggi: 34

All'inizio avevo problemi nella connessione sia via cavo che wireless ma dopo aver scricato broadcom-wl da packman e installato sono riuscito a connettermi con la lan.

# uname-a
site 3.4.11-2.16-desktop #1 SMP PREEMPT Wed Sep 26 17:05:00 UTC 2012 (259fc87) i686 i686 i386 GNU/Linux

# lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
00:1d.1 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 03)
00:1d.2 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 03)
00:1d.3 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 03)
00:1d.7 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller (rev 03)
02:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
02:03.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller (rev 02)

Ho installato i seguenti pacchetti.

Non so se ne ho installato qualcuno in più o se devo fare altro.

AllegatoDimensione
snapshot3.png233.04 KB
Ritratto di wal7er
wal7er
(Guru)
Offline
Guru
Iscritto: 21/09/2007
Messaggi: 572

Da quello che vedo hai un kernel desktop quindi dovresti installare solo broadcom-wl-kmp-desktop, per quanto riguarada b43-firmware e b43-fwcutter non sono necessari (servono se usi i driver legacy b43-*).
In pratica la prima volta che installi i driver wl, selezionando broadcom-wl, comedipendenza viene selezioanto il pacchetto corrispondente al kernel installato (*-desktop o *-default).

Comunque sia hai tutto il necessario (e anche di più) per far funzionare la scheda. Smile

Spero che per tua comodità abbia abilitato il repository di packman.

HP Pavilion dv5-1110el powered by OpenSUSE 13.2 64bit

http://linuxcounter.net/cert/432576.png

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

Non mi risulta che i b43 siano legacy (tranne il b43legacy-firmware naturalmente Smile ) semplicemente i b43 sono GPL (e inclusi nel kernel, tranne i firmware) i wl sono proprietari. Per evitare problemi se si usano questi ultimi probabilmente si dovrà controllare che non vengano caricati i b43, eventualmente blacklistandoli.

Ritratto di wal7er
wal7er
(Guru)
Offline
Guru
Iscritto: 21/09/2007
Messaggi: 572

legacy nel senso che non sono supportati tutti gli ultimi chipset, sorry Smile
Quando vengono installati i wl vengono "automagicamente" backlistati (che neologismo!) gli altri.

HP Pavilion dv5-1110el powered by OpenSUSE 13.2 64bit

http://linuxcounter.net/cert/432576.png

Ritratto di cater
cater
(Junior)
Offline
Junior
Iscritto: 06/08/2009
Messaggi: 34

Ragazzi scusate l'assenza ho agiunto il repository di opensuse http://download.opensuse.org/repositories/driver:/wireless/openSUSE_12.2 wireless ed installato b43-openfwwf e adesso funziona.

Immagini allegate:

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1730

Grazie mille per le info!
Applause

SO: Linux desktop Sistema: OpenSUSE Leap 15.1 (64bit) KDEE 5.12
SO: Linux desktop Sistema: OpenSUSE Tumbleweed (64bit) KDE 5
Miao